Bug 1435289 - openssh package openssh-6.6.1p1-33.el7_3 does not resolve chroot permission denied status.
Summary: openssh package openssh-6.6.1p1-33.el7_3 does not resolve chroot permission d...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 26
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1418062 1435264
Blocks: 1420851
TreeView+ depends on / blocked
 
Reported: 2017-03-23 13:57 UTC by Jakub Jelen
Modified: 2018-05-29 12:33 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1435264
Environment:
Last Closed: 2018-05-29 12:33:27 UTC


Attachments (Terms of Use)

Description Jakub Jelen 2017-03-23 13:57:07 UTC
+++ This bug was initially created as a clone of Bug #1435264 +++

Please, update SELinux policy in RHEL7.4 to revert changes required to prevent guest_t to run sudo as described in the comment [1]. We also need a boolean, that would allow to allow guest_t setuid, namely:

Remove:
  (allow sshd_t sshd_t (process (setcap)))
  (allow sshd_t sshd_t (capability (setpcap)))

Add (with boolean guest_t_chroot -- probably better name wanted):
  (allow guest_t guest_t (capability setuid)))

There can be possible problem with update path, if customers update selinux-policy, but not OpenSSH. This can not be prevented in OpenSSH at this point new selinux-policy should Conflict with openssh < 7.4p1-1.el7 if I am right.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1356245#c7

+++ This bug was initially created as a clone of Bug #1418062 +++

--- Additional comment from Jakub Jelen on 2017-03-23 14:42:11 CET ---

Oh. Updating OpenSSH and using old selinux-policy will not work only for the specific use case when using guest_t, so we should also add the explicit conflict in OpenSSH.

Comment 1 Fedora End Of Life 2018-05-03 08:14:48 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2018-05-29 12:33:27 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.